EsysException.h File Reference
`#include <exception>`
`#include <string>`

Go to the source code of this file.

## Classes

class | escript::EsysException
| The base class for escript exceptions. More...
class | escript::AssertException
| An exception class for assertions within escript. More...
class | escript::IOError
| An exception class for Input/Output errors. More...
class | escript::NotImplementedError
| An exception class for features which are not (yet) implemented. More...
class | escript::ValueError
| An exception class that signals an invalid argument value. More...

## Namespaces

| escript